> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_unsubscribe

> Cancels an existing subscription.



## OpenAPI

````yaml /api-reference/openapi.json post /eth_unsubscribe
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_unsubscribe:
    post:
      tags:
        - PubSub API
      summary: eth_unsubscribe
      description: Cancels an existing subscription.
      operationId: eth_unsubscribe
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_unsubscribe
                  description: The method to call
                params:
                  type: array
                  items:
                    type: string
                    description: The ID of the subscription to cancel
                  description: Parameters for unsubscribing
                  example:
                    - '0x9cef478923ff08bf67fde6c64013158d'
                id:
                  type: integer
                  description: Request identifier
                  example: 1
      responses:
        '200':
          description: Boolean indicating if the subscription was successfully cancelled
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: boolean
                    description: Success status
                    example: true

````